API referenceConnections

List Actions

GET/api/v1/connector-providers/{provider_id}/apps/{app}/actions

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

provider_id*Provider Id
app*App

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/connector-providers/string/apps/string/actions"
{  "items": [    {      "annotations": {        "property1": null,        "property2": null      },      "description": "string",      "input_schema": {        "property1": null,        "property2": null      },      "name": "string",      "output_schema": {        "property1": null,        "property2": null      },      "provider_version": "string"    }  ],  "next_cursor": "string"}